#pragma once
#include <string>
#include <map>
#include "error.hpp"
#include "ast.hpp"
#include "function.hpp"

namespace lily {
    struct program {
        std::map<std::string, function> functions;
    };

    typedef std::unique_ptr<program> program_ptr;

    program_ptr parse(std::string s);
}
